package betterquesting.api2.client.gui.misc;

import javax.annotation.Nonnull;

/* loaded from: betterquesting_api2_client_gui_misc.jar:betterquesting/api2/client/gui/misc/ProxyRect.class */
public class ProxyRect implements IGuiRect {
    private IGuiRect ref;

    public ProxyRect(IGuiRect refRect) {
        this.ref = refRect;
    }

    public void changeReference(IGuiRect refRect) {
        this.ref = refRect;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public int getX() {
        if (this.ref != null) {
            return this.ref.getX();
        }
        return 0;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public int getY() {
        if (this.ref != null) {
            return this.ref.getY();
        }
        return 0;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public int getWidth() {
        if (this.ref != null) {
            return this.ref.getWidth();
        }
        return 0;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public int getHeight() {
        if (this.ref != null) {
            return this.ref.getHeight();
        }
        return 0;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public int getDepth() {
        if (this.ref != null) {
            return this.ref.getDepth();
        }
        return 0;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public IGuiRect getParent() {
        if (this.ref != null) {
            return this.ref.getParent();
        }
        return null;
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public void setParent(IGuiRect rect) {
        if (this.ref != null) {
            this.ref.setParent(rect);
        }
    }

    @Override // betterquesting.api2.client.gui.misc.IGuiRect
    public boolean contains(int x, int y) {
        return this.ref != null && this.ref.contains(x, y);
    }

    @Override // java.lang.Comparable
    public int compareTo(@Nonnull IGuiRect o) {
        if (this.ref != null) {
            return this.ref.compareTo(o);
        }
        return 0;
    }
}
